Bug 149412 - [JS Bindings] prototype.constructor should be writable
Summary: [JS Bindings] prototype.constructor should be writable
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Bindings (show other bugs)
Version: Other
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Chris Dumez
URL: https://heycam.github.io/webidl/#inte...
Keywords: InRadar, WebExposed
Depends on:
Blocks:
 
Reported: 2015-09-21 13:36 PDT by Chris Dumez
Modified: 2016-01-30 13:01 PST (History)
10 users (show)

See Also:


Attachments
Patch (120.63 KB, patch)
2015-09-21 13:46 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (190.82 KB, patch)
2016-01-28 20:38 PST, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (212.80 KB, patch)
2016-01-30 12:59 PST, Chris Dumez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Dumez 2015-09-21 13:36:08 PDT
prototype.constructor should have the following properties:
{ [[Writable]]: true, [[Enumerable]]: false, [[Configurable]]: true }

as per the Web IDL specification:
https://heycam.github.io/webidl/#interface-prototype-object

In WebKit, it is currently not writable. It is writable in Firefox.
Comment 1 Chris Dumez 2015-09-21 13:36:32 PDT
rdar://problem/22545096
Comment 2 Chris Dumez 2015-09-21 13:46:39 PDT
Created attachment 261681 [details]
Patch
Comment 3 Geoffrey Garen 2015-09-21 13:56:10 PDT
Comment on attachment 261681 [details]
Patch

r=me
Comment 4 WebKit Commit Bot 2015-09-21 15:39:44 PDT
Comment on attachment 261681 [details]
Patch

Clearing flags on attachment: 261681

Committed r190085: <http://trac.webkit.org/changeset/190085>
Comment 5 WebKit Commit Bot 2015-09-21 15:39:49 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 Chris Dumez 2015-09-23 16:55:55 PDT
Reopening as it was rolled out in <https://trac.webkit.org/r190190> for causing crashes in JSC :( See <rdar://problem/22825602> for more info.
Comment 7 Chris Dumez 2016-01-28 20:29:51 PST
Saam helped me figure out the issue. I'll give this another try.
Comment 8 Chris Dumez 2016-01-28 20:38:57 PST
Created attachment 270175 [details]
Patch
Comment 9 Chris Dumez 2016-01-30 12:59:39 PST
Created attachment 270316 [details]
Patch
Comment 10 Chris Dumez 2016-01-30 13:01:15 PST
Comment on attachment 270316 [details]
Patch

Clearing flags on attachment: 270316

Committed r195907: <http://trac.webkit.org/changeset/195907>
Comment 11 Chris Dumez 2016-01-30 13:01:22 PST
All reviewed patches have been landed.  Closing bug.